NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::CAE::OrderedSelection Class Reference

Represents list of ordered selection entitites
Created in NX11.0.0. More...

Inheritance diagram for NXOpen::CAE::OrderedSelection:
NXOpen::TaggedObject

Public Member Functions

void Add (NXOpen::CAE::MeshPoint *entity)
 Adds a mesh point to the list
Created in NX11.0.0. More...
 
void Add (NXOpen::Point *entity)
 Adds a point to the list
Created in NX11.0.0. More...
 
void Add (NXOpen::CAE::FENode *entity)
 Adds a node to the list
Created in NX11.0.0. More...
 
void Add (NXOpen::CAE::FEElement *entity)
 Adds a element to the list
Created in NX11.0.0. More...
 
void Add (NXOpen::CAE::CAEEdge *entity, bool flipDirection)
 Adds a polygon edge to the list
Created in NX11.0.0. More...
 
void Add (NXOpen::Line *entity, bool flipDirection)
 Adds a line to the list
Created in NX11.0.0. More...
 
void Add (NXOpen::Arc *entity, bool flipDirection)
 Adds a arc to the list
Created in NX11.0.0. More...
 
void Add (NXOpen::Conic *entity, bool flipDirection)
 Adds a conic to the list
Created in NX11.0.0. More...
 
void Add (NXOpen::Spline *entity, bool flipDirection)
 Adds a spline to the list
Created in NX11.0.0. More...
 
void Add (NXOpen::SelectionMethod *selectionMethod)
 Adds objects contained in the method to the list
Created in NX11.0.0. More...
 
void Clear ()
 Removes all objects from the list
Created in NX11.0.0. More...
 
void Remove (NXOpen::TaggedObject *entity)
 Removes a tagged object from the list
Created in NX11.0.0. More...
 
void Remove (NXOpen::SelectionMethod *selectionMethod)
 Removes objects contained in the method from the list
Created in NX11.0.0. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents list of ordered selection entitites
Created in NX11.0.0.


Member Function Documentation

void NXOpen::CAE::OrderedSelection::Add ( NXOpen::CAE::MeshPoint entity)

Adds a mesh point to the list
Created in NX11.0.0.



License requirements : None

Parameters
entitymesh point to be added
void NXOpen::CAE::OrderedSelection::Add ( NXOpen::Point entity)

Adds a point to the list
Created in NX11.0.0.



License requirements : None

Parameters
entitypoint to be added
void NXOpen::CAE::OrderedSelection::Add ( NXOpen::CAE::FENode entity)

Adds a node to the list
Created in NX11.0.0.



License requirements : None

Parameters
entitynode to be added
void NXOpen::CAE::OrderedSelection::Add ( NXOpen::CAE::FEElement entity)

Adds a element to the list
Created in NX11.0.0.



License requirements : None

Parameters
entitynode to be added
void NXOpen::CAE::OrderedSelection::Add ( NXOpen::CAE::CAEEdge entity,
bool  flipDirection 
)

Adds a polygon edge to the list
Created in NX11.0.0.



License requirements : None

Parameters
entitypoint to be added
flipDirectionflip the direction of edge
void NXOpen::CAE::OrderedSelection::Add ( NXOpen::Line entity,
bool  flipDirection 
)

Adds a line to the list
Created in NX11.0.0.



License requirements : None

Parameters
entitypoint to be added
flipDirectionflip the direction of line
void NXOpen::CAE::OrderedSelection::Add ( NXOpen::Arc entity,
bool  flipDirection 
)

Adds a arc to the list
Created in NX11.0.0.



License requirements : None

Parameters
entitypoint to be added
flipDirectionflip the direction of arc
void NXOpen::CAE::OrderedSelection::Add ( NXOpen::Conic entity,
bool  flipDirection 
)

Adds a conic to the list
Created in NX11.0.0.



License requirements : None

Parameters
entitypoint to be added
flipDirectionflip the direction of conic
void NXOpen::CAE::OrderedSelection::Add ( NXOpen::Spline entity,
bool  flipDirection 
)

Adds a spline to the list
Created in NX11.0.0.



License requirements : None

Parameters
entitypoint to be added
flipDirectionflip the direction of spline
void NXOpen::CAE::OrderedSelection::Add ( NXOpen::SelectionMethod selectionMethod)

Adds objects contained in the method to the list
Created in NX11.0.0.



License requirements : None

Parameters
selectionMethodselection method containing objects to add
void NXOpen::CAE::OrderedSelection::Clear ( )

Removes all objects from the list
Created in NX11.0.0.



License requirements : None

void NXOpen::CAE::OrderedSelection::Remove ( NXOpen::TaggedObject entity)

Removes a tagged object from the list
Created in NX11.0.0.



License requirements : None

Parameters
entityobject to be removed
void NXOpen::CAE::OrderedSelection::Remove ( NXOpen::SelectionMethod selectionMethod)

Removes objects contained in the method from the list
Created in NX11.0.0.



License requirements : None

Parameters
selectionMethodselection method containing objects to remove

The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.